.altcha {
	display: none;
	font-family: inherit;
	font-size: inherit;
	position: relative;
}

.altcha[data-visible] {
	display: block;
}

.altcha,
.altcha *,
.altcha-popover,
.altcha-popover * {
	box-sizing: border-box;
	font-family: inherit;
	font-size: inherit;
	line-height: 1.25;
}

.altcha a,
.altcha-popover a {
	color: currentColor;
	text-decoration: none;
}

.altcha-main {
	background-color: #fff;
	border: 1px solid #b7b7b7;
	border-radius: 6px;
	color: #222;
	display: flex;
	flex-direction: column;
	gap: 8px;
	justify-content: space-between;
	max-width: 320px;
	padding: 12px;
}

.altcha-main > * {
	display: flex;
	width: 100%;
}

.altcha-checkbox-wrap {
	align-items: center;
	display: flex;
	flex-direction: row;
	flex-grow: 1;
	gap: 8px;
}

.altcha-checkbox-wrap > * {
	display: flex;
}

.altcha-logo {
	opacity: 0.7;
}

.altcha-footer {
	align-items: center;
	display: flex;
	flex-grow: 1;
	font-size: 11px;
	gap: 8px;
	justify-content: flex-end;
	opacity: 0.7;
}

.altcha-footer p {
	margin: 0;
	padding: 0;
}

.altcha-error {
	font-size: 13px;
}

.altcha-button {
	align-items: center;
	background: #1f5fbf;
	border: 1px solid #1f5fbf;
	border-radius: 3px;
	color: #fff;
	cursor: pointer;
	display: flex;
	font-size: 14px;
	gap: 8px;
	padding: 6px;
}

.altcha-button-secondary {
	background: transparent;
	border-color: #b7b7b7;
	color: #555;
}

.altcha-button > .altcha-spinner,
.altcha-button > svg {
	height: 20px;
	width: 20px;
}

.altcha-input {
	background: #fff;
	border: 1px solid #b7b7b7;
	border-radius: 3px;
	color: #222;
	flex-grow: 1;
	font-size: 16px;
	min-width: 0;
	padding: 4px;
	width: auto;
}

.altcha-spinner {
	animation: altcha-rotate 0.6s linear infinite;
	border: 1px solid #222;
	border-bottom-color: transparent;
	border-radius: 100%;
	border-right-color: transparent;
	opacity: 0.7;
}

.altcha-checkbox {
	position: relative;
}

.altcha-checkbox,
.altcha-checkbox input {
	cursor: pointer;
	height: 22px;
	width: 22px;
}

.altcha-checkbox input {
	appearance: none;
	background: #fff;
	border: 1px solid #767676;
	border-radius: 5px;
	left: 0;
	margin: 0;
	padding: 0;
	position: absolute;
	top: 0;
}

.altcha-checkbox input:checked {
	background-color: #2c8a3f;
	border-color: #2c8a3f;
}

.altcha-checkbox svg {
	fill: none;
	height: 12px;
	left: 5px;
	opacity: 0;
	position: absolute;
	stroke: currentColor;
	stroke-dasharray: 16px;
	stroke-dashoffset: 16px;
	stroke-linecap: round;
	stroke-linejoin: round;
	stroke-width: 2;
	top: 5px;
	width: 12px;
}

.altcha-checkbox input:checked + svg {
	color: #fff;
	opacity: 1;
	stroke-dashoffset: 0;
}

.altcha-checkbox-spinner,
.altcha-checkbox-native-spinner {
	display: none;
	height: 22px;
	left: 0;
	position: absolute;
	top: 0;
	width: 22px;
}

.altcha-checkbox[data-loading=true] input,
.altcha-checkbox-native[data-loading=true] input {
	appearance: none;
	opacity: 0;
	pointer-events: none;
}

.altcha-checkbox[data-loading=true] .altcha-checkbox-spinner,
.altcha-checkbox-native[data-loading=true] .altcha-checkbox-native-spinner {
	display: block;
}

.altcha-checkbox-native {
	position: relative;
}

.altcha-checkbox-native,
.altcha-checkbox-native input {
	height: 22px;
	width: 22px;
}

.altcha-checkbox-native input {
	margin: 0;
}

.altcha-popover {
	background-color: #fff;
	border: 1px solid #b7b7b7;
	border-radius: 6px;
	color: #222;
	left: 6px;
	max-width: 308px;
	position: absolute;
	top: 40px;
	z-index: 999999999;
}

.altcha-popover-content {
	max-height: 100vh;
	overflow: auto;
	padding: 12px;
}

.altcha-popover[data-variant=error] {
	background-color: #b3261e;
	border-color: #b3261e;
	color: #fff;
}

.altcha-code-challenge > form {
	display: flex;
	flex-direction: column;
	gap: 8px;
}

.altcha-code-challenge-title {
	font-weight: 600;
}

.altcha-code-challenge-text {
	font-size: 13px;
}

.altcha-code-challenge-image {
	background: #fff;
	border: 1px solid #b7b7b7;
	border-radius: 3px;
	height: 50px;
	object-fit: contain;
}

.altcha-code-challenge-row {
	display: flex;
	gap: 8px;
}

.altcha-code-challenge-buttons {
	align-items: center;
	display: flex;
	flex-direction: column;
	gap: 8px;
	justify-content: space-between;
	margin-top: 12px;
}

.altcha-code-challenge-buttons button {
	justify-content: center;
	width: 100%;
}

@keyframes altcha-rotate {
	0% {
		transform: rotate(0deg);
	}

	to {
		transform: rotate(360deg);
	}
}
